# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test_56
# FileName:      db.py
# Author:       xxxxxxx
# Datetime:     2023/8/4 14:21
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql

from learn.APIAutoTest_02.common.read_ini import ReadIni


class DB:
    def __init__(self):
        read_ini = ReadIni()
        self.conn = pymysql.connect(host=read_ini.get_sql_connect_message("host"),
                        port=int(read_ini.get_sql_connect_message("port")),
                        user=read_ini.get_sql_connect_message('user'),
                        password=read_ini.get_sql_connect_message("pwd"),
                        database=read_ini.get_sql_connect_message("database"),
                        charset="utf8")
        self.cursor = self.conn.cursor()

    def close(self):
        self.cursor.close()
        self.conn.close()

    def delete(self, sql_sentence):

        self.cursor.execute(sql_sentence)
        self.conn.commit()

    def select(self, sql_sentence):

        self.cursor.execute(sql_sentence)
        select_result = self.cursor.fetchall()
        if select_result:
            return select_result[0][0]


if __name__ == '__main__':
    db = DB()
    sql = """SELECT ID_ FROM uc_demension WHERE `CODE_`="test56_dem";"""
    print(db.select(sql))